﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg wing = "backgrounds/wing.png"
    $ wingfade = Fade(0.25, 0, 0.25, widget="backgrounds/wing.png")
    image bg ravensflying = anim.TransitionAnimation("backgrounds/prettysky.gif", 0.5, wingfade,
        "backgrounds/raven0002.jpg", 0.5, wingfade,
        "backgrounds/raven0008.jpg", 0.5, wingfade,
        "backgrounds/raven0012.jpg")
    image bg ravensroosting = "backgrounds/raven0022.jpg"
    image bg housesday = "backgrounds/housesday.png"
    image bg housesnight = "backgrounds/housesnight.png"
    image bg mountainsnight = "backgrounds/mountainsnight.png"
    image bg schoolmorning = anim.Animation("backgrounds/mountainsday.png", 1.0,
        "backgrounds/schoolday.png", 1.0,
        "backgrounds/schoolside.png", 1.0,
        "backgrounds/stairsday.png")
    image bg leanover = "backgrounds/leanover.png"
    image bg hallwayday = "backgrounds/hallwayday.png"
    image lenore surprised = "sprites/i_surprised.png"
    image lenore happy = "sprites/i_happy.png"
    image bg locker = "backgrounds/locker.png"
    image bg liftlocker = "backgrounds/liftlocker.png"
    image white = Solid(color("#ffffff"))
    image bg classroomday = "backgrounds/classroomday.png"
    image bg nurseday = "backgrounds/nurseday.png"
    image bg officeday = "backgrounds/officeday.png"
    image nurse = "sprites/nurse.png"
    $ seated = Position(xanchor=0, xpos=297, yanchor=0, ypos=54)
    image bg goinghome = anim.Animation("backgrounds/schoolside.png", 0.5,
        "backgrounds/schoolside.png", 0.5,
        "backgrounds/schoolday.png", 0.5,
        "backgrounds/housesday.png", 0.5,
        "backgrounds/roomday.png", 0.5,
        "backgrounds/hstairsday.png")
    image bg bedroomday = "backgrounds/bedroomday.png"
    image bg bedroomnight = "backgrounds/bedroomnight.png"
    image bg hstairsnight = "backgrounds/hstairsnight.png"
    image bg roomnight = "backgrounds/roomnight.png"
    image bg raven = "backgrounds/raven.png"
    image bg mother = "backgrounds/nanobibig.gif"
    image bg hallwaynight = "backgrounds/hallwaynight.png"
    image bg classroomnight = "backgrounds/classroomnight.png"
    image bg nursenight = "backgrounds/nursenight.png"
    image bg officenight = "backgrounds/officenight.png"
    image bg stairsnight = "backgrounds/stairsnight.png"
    image bg schoolnight = "backgrounds/schoolnight.png"
    image bg stairs2 = "backgrounds/stairs2.png"
    image bg window2 = "backgrounds/window2.png"
    image bg park = "backgrounds/halloween.png"
    image bg dayspassing = anim.TransitionAnimation("backgrounds/sundialnight.png", 1.0, wingfade,
        "backgrounds/sundialday.png", 1.0, wingfade)
    image bg annoyed = "backgrounds/annoyed.png"
    image lenore sad = "sprites/i_sad.png"
    image bg sundialsecret = "backgrounds/sundialsecret.png"
    image bg openwindow = "backgrounds/window.gif"
    image bg flyingaway = anim.TransitionAnimation("backgrounds/raven0012.jpg", 0.5, wingfade,
        "backgrounds/raven0008.jpg", 0.5, wingfade,
        "backgrounds/raven0002.jpg")
    image bg prettysky = "backgrounds/prettysky.gif"
    image bg telephone = "backgrounds/yourphone.gif"
    image test positive = Text("PATIENT: FITZGERALD, EDGAR O.\n\nFFI: POSITIVE", color="#000000")
    image test negative = Text("PATIENT: FITZGERALD, EDGAR O.\n\nFFI: NEGATIVE", color="#000000")
    
    # Declare characters used by this game.
    $ e = Character('Ed', color="#000080")
    $ l = Character('Lenore', color="#da70d6")
    $ n = Character('Nurse Tenniel', color="#ff8c00")
    $ r = Character('Raven', color="#cdc9c9")
    $ f = Character('Father', color="#ff0000")
    $ d = Character('Doctor', color="#ffff00")
    $ m = Character('Mother', color="#cdc9c9")

label splashscreen:
    play music "music/Willow and the Light.mp3"
    scene bg wing
    show text "Nevermore"
    with Pause(2.0)
    return

# The game starts here.
label start:
    stop music fadeout 0.5
    scene black with dissolve
    voice "voices/v01.ogg"
    "I remember the first sleepless night."
    voice "voices/v02.ogg"
    "It was the night I finally saw where the ravens went."
    play music "music/Dark Hallway.mp3"
    play sound "sounds/birdwings.ogg"
    scene bg ravensflying
    with wingfade
    with Pause(1.5)
    scene bg ravensroosting
    with dissolve
    voice "voices/v03.ogg"
    "Every evening for as long as I cound remember the ravens had come to roost upon the utility cables outside our house."
    scene bg housesday at Pan((0, 0), (1050, 0), 2.0)
    with dissolve
    voice "voices/v04.ogg"
    "And every evening they would watch our house..."
    scene bg housesnight at Pan ((1050, 0), (0, 0), 4.0)
    with dissolve
    voice "voices/v05.ogg"
    "...as day yielded to night, and I yielded to sleep."
    voice "voices/v06.ogg"
    "That night, I did not sleep. That night, I finally saw where the ravens had always gone before the break of day."
    scene bg mountainsnight
    with dissolve
    voice "voices/v07.ogg"
    "I saw them fly away into the mountains beyond the city."
    show text "Nevermore" at truecenter
    with dissolve
    with Pause(1.0)
    scene bg schoolmorning
    with dissolve
    with Pause(3.5)
    play music "music/Deliberate Thought.mp3" fadeout 0.5
    scene bg leanover
    voice "voices/l01.ogg"
    l "Are you sure you're alright, Ed? You look... dishevelled."
    scene bg hallwayday
    show lenore surprised at center
    with dissolve
    voice "voices/e01.ogg"
    e "I'm fine. I just haven't had much sleep lately."
    voice "voices/l02.ogg"
    l "What kept you up?"
    voice "voices/e02.ogg"
    e "I don't know. I was just watching the ravens on my street."
    show lenore happy
    with dissolve
    voice "voices/l03.ogg"
    l "Have you ever read \"The Raven\" by Edgar Allan Poe?"
    voice "voices/e03.ogg"
    e "No."
    voice "voices/l04.ogg"
    l "It's my family's favorite poem. I'm named after a character in it."
    voice "voices/l05.ogg"
    l "You really should read it. I'll lend you my copy after school."
    voice "voices/l06.ogg"
    l "Try to have a good day, Ed!"
    voice "voices/e04.ogg"
    e "You too."
    scene bg locker
    with Pause(1.0)
    scene bg liftlocker
    with Pause(1.0)
    scene white
    centered "{color=#000000}You can't keep hiding from me.{/color}"
    play sound "sounds/schoolbell.ogg"
    scene bg classroomday
    with Pause(1.0)
    scene bg hallwayday
    show lenore happy at center
    voice "voices/l07.ogg"
    l "I've bookmarked it for you. Don't return it until you've read it!"
    scene bg nurseday
    with Pause(1.0)
    scene bg officeday
    show nurse at seated
    voice "voices/n01.ogg"
    n "I suppose you've read my note."
    voice "voices/n02.ogg"
    n "I know what I said earlier frightened you, but I think it would really help you and your family if you faced this and got tested."
    voice "voices/e05.ogg"
    e "I'm ready to get tested. Can you and my father arrange that?"
    voice "voices/n03.ogg"
    n "Yes."
    voice "voices/n04.ogg"
    n "You look a little off. Is something wrong?"
    voice "voices/e06.ogg"
    e "No, everything's fine."
    voice "voices/n05.ogg"
    n "How did you sleep last night?"
    scene bg goinghome
    with Pause(3.0)
    scene bg bedroomday at Pan((256, 0), (0, 0), 5.0)
    voice "voices/v08.ogg"
    "I open Lenore's book to \"The Raven\"."
    stop music fadeout 0.5
    voice "voices/v09.ogg"
    "\"Once upon a midnight dreary, while I pondered, weak and weary,\nOver many a quaint and curious volume of forgotten lore,\""
    scene bg bedroomnight at left
    with dissolve
    voice "voices/v10.ogg"
    "\"While I nodded, nearly napping, suddenly there came a tapping,\nAs of some one gently rapping, rapping at my chamber door.…\""
    play sound "sounds/doorknocking.ogg"
    hide text
    with dissolve
    with Pause(2.0)
    scene bg hstairsnight
    with dissolve
    with Pause(0.5)
    scene bg roomnight
    with dissolve
    play sound "sounds/dooropening.ogg"
    play music "music/Dark Hallway.mp3"
    scene bg raven at Pan((0, 0), (0, 400), 15.0)
    with wingfade
    voice "voices/v11.ogg"
    "\"'Though thy crest be shorn and shaven, thou,' I said, 'art sure no craven,\nGhastly grim and ancient raven wandering from the Nightly shore —\nTell me what thy lordly name is on the Night's Plutonian shore!'\""
    play sound "sounds/ravencry.ogg"
    voice "voices/v12.ogg"
    "\"Quoth the Raven,…\""
    scene bg mother
    with wingfade
    voice "voices/m05.ogg"
    r "Nevermore."
    stop music
    scene bg leanover
    voice "voices/l08.ogg"
    l "I don't know, Ed. You still don't look so good."
    voice "voices/l09.ogg"
    l "Are you sure you aren't sick?"
    play music "music/Ominous.mp3"
    scene bg hallwayday
    show lenore surprised at center
    voice "voices/e07.ogg"
    e "I don't…"
    voice "voices/e08.ogg"
    e "I don't know how I got here."
    scene bg nurseday
    with Pause(1.0)
    scene bg officeday
    show nurse at seated
    voice "voices/n06.ogg"
    n "I don't want to worry you unnecessarily, but memory lapses could be a bad sign."
    voice "voices/n07.ogg"
    n "We'll know more after your father takes you in for testing on Friday."
    voice "voices/n08.ogg"
    n "In the meantime, come straight here if you experience any other problems at school."
    scene bg hallwayday
    show lenore surprised at center
    voice "voices/l10.ogg"
    l "What does the nurse think?"
    voice "voices/e09.ogg"
    e "It's probably just the lack of sleep."
    play music "music/Dark Hallway.mp3" fadeout 0.5
    scene bg hallwaynight
    with wingfade
    voice "voices/v13.ogg"
    "What the hell?"
    voice "voices/e10.ogg"
    e "Hey! Is there anybody here?"
    scene bg classroomnight
    voice "voices/e11.ogg"
    e "Am I alone here?"
    scene bg nursenight
    with Pause(1.0)
    scene bg officenight
    voice "voices/e12.ogg"
    e "Nurse Tenniel?"
    scene bg stairsnight
    voice "voices/e13.ogg"
    e "Hello!"
    scene bg schoolnight
    voice "voices/e14.ogg"
    e "Help!"
    stop music fadeout 0.5
    scene bg stairs2
    with wingfade
    scene bg window2
    with wingfade
    voice "voices/v14.ogg"
    "I was found…"
    voice "voices/v15.ogg"
    "…and put in the room with the very plain window."
    voice "voices/v16.ogg"
    "My memory is becoming much clearer now. I remember wandering listlessly, as my sleeplessness caught up with me."
    voice "voices/v17.ogg"
    "I can hear voices from the next room. I hear my father and a doctor."
    voice "voices/f01.mp3"
    f "I know what that would mean. I went through it all before with my wife."
    scene bg park
    with wingfade
    voice "voices/f02.mp3"
    f "I'd wake up every night to find her under a light in the park across the street, reading…"
    scene bg ravensroosting
    with wingfade
    voice "voices/f03.mp3"
    f "…or watching the ravens."
    voice "voices/f04.mp3"
    f "She always said, \"I want to sleep, honey, but I can't.\""
    voice "voices/d01.ogg"
    d "Unfortunately, that's very typical of this particular prion disease."
    play music "music/Willow and the Light.mp3"
    scene bg dayspassing
    with wingfade
    voice "voices/d02.ogg"
    d "The first apparent symptom is nearly always degradation of the Circadian rhythm and sleep processes."
    scene bg window2
    with wingfade
    voice "voices/d03.ogg"
    d "At this point, we can't be sure that Ed's insomnia isn't an abnormal psychological reaction to the loss of his mother."
    voice "voices/d04.ogg"
    d "Everything depends on his test results."
    voice "voices/d05.ogg"
    d "If he tests positive, we can give him wakefulness medication to keep him aware and comfortable for now, but…"
    voice "voices/d06.ogg"
    d "…he won't be able to sleep again."
    scene bg annoyed
    with wingfade
    voice "voices/l11.ogg"
    l "Why the hell didn't you tell me things were this bad?"
    voice "voices/e15.ogg"
    e "I still have… your book."
    voice "voices/l12.ogg"
    l "Damn the book! I want to be there for you, Ed!"
    scene bg dayspassing
    show lenore sad at right
    with wingfade
    voice "voices/l13.ogg"
    l "I want to be there for you when you're in pain…"
    scene bg sundialsecret
    with wingfade
    voice "voices/m01.ogg"
    m "…so I can try to make it better."
    scene bg mother
    with wingfade
    voice "voices/e16.ogg"
    e "Mom?"
    voice "voices/m02.ogg"
    m "Yes, Ed?"
    voice "voices/e17.ogg"
    e "What does it feel like to die?"
    scene bg openwindow
    voice "voices/m03.ogg"
    m "It's like opening the window…"
    play sound "sounds/birdwings.ogg"
    scene bg flyingaway
    with Pause(1.0)
    scene bg prettysky
    with wingfade
    voice "voices/m04.ogg"
    m "…and flying into the dawn."
    stop sound fadeout 1.0
    voice "voices/e18.ogg"
    e "And this pain…"
    scene bg mother
    with wingfade
    voice "voices/m05.ogg"
    m "Nevermore."
    voice "voices/m06.ogg"
    m "Is that what you want?"
    scene bg leanover
    with wingfade
    voice "voices/v18.ogg"
    "No."
    voice "voices/l14.ogg"
    l "We're just waiting for your test results now, Ed."
    scene bg telephone
    with dissolve
    voice "voices/l15.ogg"
    l "The phone should ring any minute."
    scene bg leanover
    with dissolve
    voice "voices/l16.ogg"
    l  "I'll be here, waiting with you."
    if renpy.random.choice([True, False]):
        scene white
        show test positive at truecenter
        with dissolve
        $ renpy.pause(5.0)
    else:
        scene white
        show test negative at truecenter
        with dissolve
        $ renpy.pause(5.0)
    
label credits:
    scene black
    with dissolve
    $ renpy.pause(1.0)
    show text "backgrounds and sprites:\nBCS"
    with dissolve
    $ renpy.pause(2.0)
    show text "story, production, voice of Ed:\nKazuki Mishima"
    with dissolve
    $ renpy.pause(2.0)
    show text "voice of Lenore, voice of mother:\nsake-bento"
    with dissolve
    $ renpy.pause(2.0)
    show text "voice of Nurse Tenniel, voice of doctor:\nUsagi Tsukino"
    with dissolve
    $ renpy.pause(2.0)
    show text "voice of father:\nFlamzeron"
    with dissolve
    $ renpy.pause(2.0)
    show text "music:\n\"Dark Hallway\", \"Deliberate Thought\", and \"Willow and the Light\" by Kevin MacLeod"
    with dissolve
    $ renpy.pause(2.0)
    show text "Music used under the {a=http://creativecommons.org/licenses/by/3.0/}Creative Commons Attribution 3.0 License{/a}."
    with dissolve
    $ renpy.pause(2.0)
    show text "game engine:\n{a=http://renpy.org/}Ren'Py{/a}"
    with dissolve
    $ renpy.pause(2.0)
    show text "font:\nBitstream Vera"
    with dissolve
    $ renpy.pause(2.0)
    show text "bird wings sound effect:\nfreesound user cmusounddesign"
    with dissolve
    $ renpy.pause(2.0)
    show text "school bell sound effect:\nfreesound user John_Sauter"
    with dissolve
    $ renpy.pause(2.0)
    show text "door knocking sound effect:\nfreesound user XxBirdoxX"
    with dissolve
    $ renpy.pause(2.0)
    show text "door opening sound effect:\nfreesound user fresco"
    with dissolve
    $ renpy.pause(2.0)
    show text "raven's cry sound effect:\nfreesound user Bidone"
    with dissolve
    $ renpy.pause(2.0)
    show text "Sound effects used under the {a=http://creativecommons.org/licenses/sampling+/1.0/}Creative Commons Sampling Plus 1.0 License{/a}."
    with dissolve
    $ renpy.pause(2.0)
    return
